Subject: Re: Inter-MOO communication...

From: [email-masked] (H. Peter Anvin N9ITP)
Date: Fri, 31 Jul 1992 13:16:30 -0700

You write:
> 
> Hi,
> 	has anyone had a serious look at allowing MOOs to communicate?
> 
> I'm experimenting with the idea of a 'virtual' room, sort of VR in VR
> if you like.  To the player, a virtual room (a VROOM) looks like any other
> and has a single exit 'out'.  When a player enters a VROOM she/he/it can
> interact with other players that appear in the room by use of the commands
> 'say' and 'emote'.  Typing 'look' works the same way too.
> 	So far, so what!  Well, it works out that not ALL the players
> you see when you enter a VROOM are PHYSICALLY located on the same MOO as
> you!
> 

Hi there.
I have played with exactly the same idea; combined with ideas of MOO ports
and similar devices.

One of the snags is that most (?) MOOs have OUTBOUND_NETWORK disabled,
although that could be taken care of in its own way; in peculiar someone at
one end could make a small transfer client.

It should not be that difficult to create such transfer devices, in fact
the only limitation is your imagination.  It is possible that it could be
extended to "virtual exits"; which would connect a player to a different
MOO while keeping compatible characteristics, such as name, gender, aliases
and description.  Beyond a certain point, however, it is almost certain
that a dedicated client is needed.

I noted you are "a wizard of several MOOs noone has ever heard of".  If you
want to experiment with the idea, we could make an attempt to connect one
of those with my sytem, DalMOO, although it is not yet open to the public
(it will sometime this fall).

	/hpa

-- 
INTERNET: [email-masked]   TALK:      [email-masked]
BITNET:   HPA@NUACC     HAM RADIO: N9ITP, SM4TKN
IRC:      Scalar        NeXTMAIL:  [email-masked]
"Kissing a smoker is like licking an ashtray."  -- R. Heinlein